#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Taint
Summary:	Test::Taint - tools to test taintedness
Summary(pl.UTF-8):	Test::Taint - narzędzia do sprawdzania napiętnowania
Name:		perl-Test-Taint
Version:	1.06
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	cb639c250f2030262a562ce3376219b0
URL:		http://search.cpan.org/dist/Test-Taint/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tainted data is data that comes from an unsafe source, such as the
command line, or, in the case of web apps, any GET or POST
transactions (see perlsec(1) man page for details on why tainted data
is bad, and how to untaint the data).

When you're writing unit tests for code that deals with tainted data,
you'll want to have a way to provide tainted data for your routines to
handle, and easy ways to check and report on the taintedness of your
data, in standard Test::More style.

%description -l pl.UTF-8
Dane napiętnowane to dane pochodzące z niebezpiecznego źródła, takiego
jak linia poleceń, lub, w przypadku aplikacji WWW, wszelkie transakcje
GET i POST (na stronie podręcznika perlsec(1) można znaleźć
dokładniejsze informacje dlaczego dane napiętnowane są złe i jak
pozbyć się z nich piętna).

Przy pisaniu testów jednostkowych dla kodu przetwarzającego dane
napiętnowane zwykle chcemy móc dostarczyć napiętnowane dane do
własnych funkcji i w łatwy sposób sprawdzić napiętnowanie naszych
danych w standardowym stylu Test::More.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorarch}/Test
%{perl_vendorarch}/Test/Taint.pm
%dir %{perl_vendorarch}/auto/Test
%dir %{perl_vendorarch}/auto/Test/Taint
%attr(755,root,root) %{perl_vendorarch}/auto/Test/Taint/Taint.so
%{_mandir}/man3/Test::Taint.3pm*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-Taint.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3173438
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3a53585
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8c40a17
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> c22d9e4
- updated to 1.06

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> d305fbf
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 26681c8
- rel 6

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 654bd99
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5130c8d
- release 4

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> ca9577c
- release 3

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> fcbbcc1
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ebf3b11
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 729412b
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> edc84c6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> caf1224
- converted to UTF-8

* Thu Aug 24 2006 migo <migo@pld-linux.org> 1a25acc
- do not require Test-Pod and Test-Pod-Coverage - we do not need such tests

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 00a19bf
- formatting

* Wed Aug 11 2004 Adam Gołębiowski <adamg@pld-linux.org> 0ac6598
- updated to 1.04

* Fri May 07 2004 ankry <ankry@pld-linux.org> efb7edd
- rel. 2

* Mon May 03 2004 ankry <ankry@pld-linux.org> c1d5802
- license fixes, cosmetics

* Sun Apr 25 2004 Adam Gołębiowski <adamg@pld-linux.org> 06c49fe
- updated to 1.02

